Index: trunk/hal/tsar_mips32/core/hal_gpt.c
===================================================================
--- trunk/hal/tsar_mips32/core/hal_gpt.c	(revision 440)
+++ trunk/hal/tsar_mips32/core/hal_gpt.c	(revision 443)
@@ -132,7 +132,7 @@
     xptr_t     page_xp;
 
-#if DEBUG_GPT_ACCESS
+#if DEBUG_HAL_GPT_CREATE
 uint32_t cycle = (uint32_t)hal_get_cycles;
-if( DEBUG_GPT_ACCESS < cycle )
+if( DEBUG_HAL_GPT_CREATE < cycle )
 printk("\n[DBG] %s : thread %x enter / cycle %d\n", 
 __FUNCTION__, CURRENT_THREAD, cycle );
@@ -161,7 +161,7 @@
 	gpt->ppn  = ppm_page2ppn( page_xp );
 
-#if DEBUG_GPT_ACCESS
+#if DEBUG_HAL_GPT_CREATE
 cycle = (uint32_t)hal_get_cycles;
-if( DEBUG_GPT_ACCESS < cycle )
+if( DEBUG_HAL_GPT_CREATE < cycle )
 printk("\n[DBG] %s : thread %x exit / cycle %d\n", 
 __FUNCTION__, CURRENT_THREAD, cycle );
@@ -186,4 +186,11 @@
 	kmem_req_t   req;
     bool_t       is_ref;
+
+#if DEBUG_HAL_GPT_DESTROY
+uint32_t cycle = (uint32_t)hal_get_cycles;
+if( DEBUG_HAL_GPT_DESTROY < cycle )
+printk("\n[DBG] %s : thread %x enter / cycle %d\n", 
+__FUNCTION__, CURRENT_THREAD, cycle );
+#endif
 
     // get pointer on calling process
@@ -252,4 +259,11 @@
     req.ptr  = GET_PTR( ppm_base2page( XPTR(local_cxy , pt1 ) ) );
     kmem_free( &req );
+
+#if DEBUG_HAL_GPT_DESTROY
+cycle = (uint32_t)hal_get_cycles;
+if( DEBUG_HAL_GPT_DESTROY < cycle )
+printk("\n[DBG] %s : thread %x exit / cycle %d\n", 
+__FUNCTION__, CURRENT_THREAD, cycle );
+#endif
 
 } // end hal_gpt_destroy()
@@ -340,7 +354,7 @@
     uint32_t            tsar_attr;           // PTE attributes for TSAR MMU
 
-#if DEBUG_GPT_ACCESS
+#if DEBUG_HAL_GPT_ACCESS
 uint32_t cycle = (uint32_t)hal_get_cycles;
-if( DEBUG_GPT_ACCESS < cycle )
+if( DEBUG_HAL_GPT_ACCESS < cycle )
 printk("\n[DBG] %s : thread %x enter / vpn %x / attr %x / ppn %x / cycle %d\n", 
 __FUNCTION__, CURRENT_THREAD, vpn, attr, ppn, cycle );
@@ -357,6 +371,6 @@
     tsar_attr = gpt2tsar( attr );
 
-#if (DEBUG_GPT_ACCESS & 1)
-if( DEBUG_GPT_ACCESS < cycle )
+#if (DEBUG_HAL_GPT_ACCESS & 1)
+if( DEBUG_HAL_GPT_ACCESS < cycle )
 printk("\n[DBG] %s : thread %x / vpn %x / &pt1 %x / tsar_attr %x\n", 
 __FUNCTION__, CURRENT_THREAD, vpn, pt1, tsar_attr );
@@ -392,6 +406,6 @@
         pte1 = *pte1_ptr;
         
-#if (DEBUG_GPT_ACCESS & 1)
-if( DEBUG_GPT_ACCESS < cycle )
+#if (DEBUG_HAL_GPT_ACCESS & 1)
+if( DEBUG_HAL_GPT_ACCESS < cycle )
 printk("\n[DBG] %s : thread %x / vpn %x / current_pte1 %x\n", 
 __FUNCTION__, CURRENT_THREAD, vpn, pte1 );
@@ -437,6 +451,6 @@
 	    pt2     = (uint32_t *)GET_PTR( ppm_ppn2base( pt2_ppn ) );
 
-#if (DEBUG_GPT_ACCESS & 1)
-if( DEBUG_GPT_ACCESS < cycle )
+#if (DEBUG_HAL_GPT_ACCESS & 1)
+if( DEBUG_HAL_GPT_ACCESS < cycle )
 printk("\n[DBG] %s : thread %x / vpn %x / pte1 %x / &pt2 %x\n", 
 __FUNCTION__, CURRENT_THREAD, vpn, pte1, pt2 );
@@ -452,7 +466,7 @@
 	hal_fence();
 
-#if DEBUG_GPT_ACCESS
+#if DEBUG_HAL_GPT_ACCESS
 cycle = (uint32_t)hal_get_cycles;
-if( DEBUG_GPT_ACCESS < cycle )
+if( DEBUG_HAL_GPT_ACCESS < cycle )
 printk("\n[DBG] %s : thread %x exit / vpn %x / pte2_attr %x / pte2_ppn %x / cycle %d\n", 
 __FUNCTION__, CURRENT_THREAD, vpn, pt2[2 * ix2], pt2[2 * ix2 + 1], cycle );
@@ -762,7 +776,7 @@
     ppn_t        dst_pt2_ppn;
 
-#if DEBUG_GPT_ACCESS
+#if DEBUG_HAL_GPT_ACCESS
 uint32_t cycle = (uint32_t)hal_get_cycles;
-if( DEBUG_GPT_ACCESS < cycle )
+if( DEBUG_HAL_GPT_ACCESS < cycle )
 printk("\n[DBG] %s : thread %x enter / vpn %x / cycle %d\n", 
 __FUNCTION__, CURRENT_THREAD, vpn, cycle );
@@ -853,7 +867,7 @@
             *ppn    = src_pte2_ppn;
         
-#if DEBUG_GPT_ACCESS
+#if DEBUG_HAL_GPT_ACCESS
 cycle = (uint32_t)hal_get_cycles;
-if( DEBUG_GPT_ACCESS < cycle )
+if( DEBUG_HAL_GPT_ACCESS < cycle )
 printk("\n[DBG] %s : thread %x exit / copy done for vpn %x / cycle %d\n", 
 __FUNCTION__, CURRENT_THREAD, vpn, cycle );
@@ -870,7 +884,7 @@
     *ppn    = 0;
    
-#if DEBUG_GPT_ACCESS
+#if DEBUG_HAL_GPT_ACCESS
 cycle = (uint32_t)hal_get_cycles;
-if( DEBUG_GPT_ACCESS < cycle )
+if( DEBUG_HAL_GPT_ACCESS < cycle )
 printk("\n[DBG] %s : thread %x exit / nothing done for vpn %x / cycle %d\n", 
 __FUNCTION__, CURRENT_THREAD, vpn, cycle );
